From 9cc7574a1615fdf5357341afae7dda381d58d4d7 Mon Sep 17 00:00:00 2001
From: Fabio Ritrovato <exsephiroth87@gmail.com>
Date: Wed, 3 Sep 2008 00:12:31 +0200
Subject: [PATCH] Services Discovery: new API to allow editable SDs

---
 include/vlc_services_discovery.h  |    6 +++++-
 src/playlist/services_discovery.c |    4 ++++
 2 files changed, 9 insertions(+), 1 deletions(-)

diff --git a/include/vlc_services_discovery.h b/include/vlc_services_discovery.h
index 7583421..9bf3c54 100644
--- a/include/vlc_services_discovery.h
+++ b/include/vlc_services_discovery.h
@@ -50,7 +50,11 @@ struct services_discovery_t
     vlc_event_manager_t event_manager;      /* Accessed through Setters for non class function */
 
     services_discovery_sys_t *p_sys;
-    void (*pf_run) ( services_discovery_t *);
+    void (*pf_run) ( services_discovery_t * );
+    int (*pf_item_put) ( services_discovery_t *, const char * );
+    int (*pf_item_get) ( services_discovery_t *, const char *, int );
+    int (*pf_item_delete) ( services_discovery_t *, int );
+    bool                b_read_only;
 };
 
 
diff --git a/src/playlist/services_discovery.c b/src/playlist/services_discovery.c
index 229f984..0cb88a8 100644
--- a/src/playlist/services_discovery.c
+++ b/src/playlist/services_discovery.c
@@ -63,7 +63,11 @@ services_discovery_Create ( vlc_object_t * p_super, const char * psz_module_name
         return NULL;
 
     p_sd->pf_run = NULL;
+    p_sd->pf_item_put = NULL;
+    p_sd->pf_item_get = NULL;
+    p_sd->pf_item_delete = NULL;
     p_sd->psz_localized_name = NULL;
+    p_sd->b_read_only = true;
 
     vlc_event_manager_init( &p_sd->event_manager, p_sd, (vlc_object_t *)p_sd );
     vlc_event_manager_register_event_type( &p_sd->event_manager,
-- 
1.5.4.3

